Package org.apache.lucene.benchmark.byTask.tasks

# Class OpenReaderTask

java.lang.Object
org.apache.lucene.benchmark.byTask.tasks.PerfTask
org.apache.lucene.benchmark.byTask.tasks.OpenReaderTask

All Implemented Interfaces:
  `Cloneable`

public class OpenReaderTask extends PerfTask
Open an index reader.
Other side effects: index reader object in perfRunData is set.
Optional params commitUserData eg. OpenReader(false,commit1)

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `USER_DATA`

  ### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

  `logStep, NEW_LINE, params, stopNow`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenReaderTask(PerfRunData runData)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `doLogic()`
  Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
  `static IndexCommit`
  `findIndexCommit(Directory dir, String userData)`
  `void`
  `setParams(String params)`
  Set the params of this task.
  `boolean`
  `supportsParams()`
  Sub classes that support parameters must override this method to return true.

  ### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

  `clone, close, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getLogMessage, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setRunInBackground, setup, shouldNeverLogAtStart, shouldNotRecordStats, stopNow, tearDown, toString`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### USER_DATA

    public static final String USER_DATA
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OpenReaderTask

    public OpenReaderTask(PerfRunData runData)

- ## Method Details

  - ### doLogic

    public int doLogic() throws IOException
    Description copied from class: `PerfTask`
    Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.
    Specified by:
      `doLogic` in class `PerfTask`
    Returns:
      number of work items done by this task.
    Throws:
      `IOException`

  - ### setParams

    public void setParams(String params)
    Description copied from class: `PerfTask`
    Set the params of this task.
    Overrides:
      `setParams` in class `PerfTask`

  - ### supportsParams

    public boolean supportsParams()
    Description copied from class: `PerfTask`
    Sub classes that support parameters must override this method to return true.
    Overrides:
      `supportsParams` in class `PerfTask`
    Returns:
      true iff this task supports command line params.

  - ### findIndexCommit

    public static IndexCommit findIndexCommit(Directory dir, String userData) throws IOException
    Throws:
      `IOException`